import { App } from '@abearxiong/router';
import { useConfig } from '@abearxiong/use-config';
import { dynamicImport } from './lib/dynamic-import.ts';
import { redisPublisher } from './modules/redis.ts';

useConfig();
export const emit = (channel: string, message: string) => {
  redisPublisher.publish(channel, message);
};

export const app = new App<{ import: any, emit: typeof emit }>({
  serverOptions: {
    cors: {
      origin: '*',
    },
  },
  routerContext: {
    import: dynamicImport,
    emit,
  },
});
